MDWParserInternal::LineInfo Struct Reference

Internal: a line information of a MDWParser. More...

## Public Member Functions

| LineInfo ()

## Public Attributes

MWAWEntry | m_entry
| the main entry More...
int | m_type
| the entry type More...
int | m_height
| the height More...
int | m_y
| the y pos More...
int | m_page
| the page number More...
MWAWParagraph | m_paragraph
| the paragraph More...
bool | m_specialHeadingInterface
| true if the paragraph More...
bool | m_paragraphSet
| true if the paragraph is reset More...
int | m_listLevel
| the item level More...
int | m_listType
| the item type More...
int | m_flags [4]
| two flags More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, LineInfo const &line)
| operator<< More...

## Detailed Description

Internal: a line information of a MDWParser.

## Constructor & Destructor Documentation

MDWParserInternal::LineInfo::LineInfo | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | LineInfo const & | line
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWEntry MDWParserInternal::LineInfo::m_entry

the main entry

Referenced by MDWParser::readCompressedText(), MDWParser::readGraphic(), MDWParser::readLinesInfo(), MDWParser::readRuler(), MDWParser::readText(), MDWParser::sendZone(), and MDWParserInternal::ZoneInfo::updateListId().

std::string MDWParserInternal::LineInfo::m_extra

extra data

Referenced by MDWParser::readLinesInfo().

int MDWParserInternal::LineInfo::m_flags[4]

two flags

Referenced by LineInfo(), MDWParser::readLinesInfo(), MDWParser::readRuler(), MDWParser::sendZone(), and MDWParserInternal::ZoneInfo::updateListId().

int MDWParserInternal::LineInfo::m_height

the height

Referenced by MDWParser::readLinesInfo(), MDWParser::sendZone(), and MDWParserInternal::ZoneInfo::updateListId().

int MDWParserInternal::LineInfo::m_listLevel

the item level

Referenced by MDWParser::readCompressedText(), MDWParser::readLinesInfo(), MDWParser::readText(), and MDWParserInternal::ZoneInfo::updateListId().

int MDWParserInternal::LineInfo::m_listType

the item type

Referenced by MDWParser::readCompressedText(), MDWParser::readLinesInfo(), MDWParser::readText(), and MDWParserInternal::ZoneInfo::updateListId().

int MDWParserInternal::LineInfo::m_page

the page number

Referenced by MDWParser::createDocument(), MDWParser::readLinesInfo(), and MDWParser::sendZone().

MWAWParagraph MDWParserInternal::LineInfo::m_paragraph

the paragraph

Referenced by MDWParser::readLinesInfo(), MDWParser::readRuler(), MDWParser::sendZone(), and MDWParserInternal::ZoneInfo::updateListId().

bool MDWParserInternal::LineInfo::m_paragraphSet

true if the paragraph is reset

Referenced by MDWParser::readRuler(), and MDWParser::sendZone().

bool MDWParserInternal::LineInfo::m_specialHeadingInterface

true if the paragraph

Referenced by MDWParser::readLinesInfo(), MDWParser::readRuler(), and MDWParserInternal::ZoneInfo::updateListId().

int MDWParserInternal::LineInfo::m_type

the entry type

Referenced by MDWParser::createDocument(), MDWParser::readLinesInfo(), MDWParser::sendZone(), and MDWParserInternal::ZoneInfo::updateListId().

int MDWParserInternal::LineInfo::m_y

the y pos

Referenced by MDWParser::readLinesInfo().

The documentation for this struct was generated from the following file:

- MDWParser.cxx